Package: grails.rest.render

## [Groovy] Interface RenderContext

- Passed to a renderer to provide context information

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MimeType` | `getAcceptMimeType()` @return Returns the mime type accepted by the client or null if non specified
    `` | `java.lang.String` | `getActionName()` @return The current action name
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getArguments()` @return Arguments passed by the user
    `` | `java.lang.String` | `getControllerName()` @return The current controller name
    `` | `java.lang.String` | `getControllerNamespace()` @return The current controller name
    `` | `java.util.List<java.lang.String>` | `getExcludes()` Which properties should be excluded from rendering
    `` | `org.springframework.http.HttpMethod` | `getHttpMethod()` @return The HTTP method
    `` | `java.util.List<java.lang.String>` | `getIncludes()` Which properties should be included in rendering
    `` | `java.util.Locale` | `getLocale()` @return The locale
    `` | `java.lang.String` | `getResourcePath()` @return The path the the resource
    `` | `java.lang.String` | `getViewName()` @return The view name to use
    `` | `java.io.Writer` | `getWriter()` @return The writer to render to
    `` | `void` | `setContentType(java.lang.String contentType)` Sets the content type of the rendered response
    `` | `void` | `setModel(java.util.Map model)` The model to use for the response
    `` | `void` | `setStatus(org.springframework.http.HttpStatus status)` @param status The status to set
    `` | `void` | `setViewName(java.lang.String viewName)` The view to use for the response
    `` | `boolean` | `wasWrittenTo()` Returns true if the getWriter() method was called

- - ### Method Detail

    - #### MimeType getAcceptMimeType()

      Returns:
        Returns the mime type accepted by the client or null if non specified

    - #### java.lang.String getActionName()

      Returns:
        The current action name

    - #### java.util.Map<java.lang.String, java.lang.Object> getArguments()

      Returns:
        Arguments passed by the user

    - #### java.lang.String getControllerName()

      Returns:
        The current controller name

    - #### java.lang.String getControllerNamespace()

      Returns:
        The current controller name

    - #### java.util.List<java.lang.String> getExcludes()

      Which properties should be excluded from rendering

      Returns:
        A list of excludes

    - #### org.springframework.http.HttpMethod getHttpMethod()

      Returns:
        The HTTP method

    - #### java.util.List<java.lang.String> getIncludes()

      Which properties should be included in rendering

      Returns:
        A list of includes

    - #### java.util.Locale getLocale()

      Returns:
        The locale

    - #### java.lang.String getResourcePath()

      Returns:
        The path the the resource

    - #### java.lang.String getViewName()

      Returns:
        The view name to use

    - #### java.io.Writer getWriter()

      Returns:
        The writer to render to

    - #### void setContentType(java.lang.String contentType)

      Sets the content type of the rendered response

      Parameters:
        `contentType` - The content type

    - #### void setModel(java.util.Map model)

      The model to use for the response

      Parameters:
        `model` - The model

    - #### void setStatus(org.springframework.http.HttpStatus status)

      Parameters:
        `status` - The status to set

    - #### void setViewName(java.lang.String viewName)

      The view to use for the response

      Parameters:
        `viewName` - The view name

    - #### boolean wasWrittenTo()

      Returns true if the getWriter() method was called